Package net.shibboleth.idp.module.core.impl

# Class Core

java.lang.Object
net.shibboleth.profile.module.AbstractModule
net.shibboleth.profile.module.PropertyDrivenModule
net.shibboleth.idp.module.PropertyDrivenIdPModule
net.shibboleth.idp.module.impl.CoreIdPModule
net.shibboleth.idp.module.core.impl.Core

All Implemented Interfaces:
  `IdPModule`, `Module`, `Component`, `IdentifiedComponent`

public final class Core extends CoreIdPModule
`IdPModule` implementation.

This is a somewhat special module as it represents the "core" software being installed or upgraded so has some different characteristics and methods.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.profile.module.AbstractModule

`AbstractModule.BasicModuleResource`

## Nested classes/interfaces inherited from interface net.shibboleth.profile.module.Module

`Module.ModuleResource, Module.ResourceResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String[]`
`AUTO_CREATED`
Auto-created folders.

### Fields inherited from class net.shibboleth.idp.module.impl.CoreIdPModule

`MODULE_URL_BASE`

### Fields inherited from class net.shibboleth.profile.module.PropertyDrivenModule

`DEFAULT_RESOURCE, MODULE_DESC_PROPERTY, MODULE_DEST_PROPERTY, MODULE_EXEC_PROPERTY, MODULE_LANGS_PROPERTY, MODULE_NAME_PROPERTY, MODULE_NONWINDOWS_PROPERTY, MODULE_OPTIONAL_PROPERTY, MODULE_PLUGIN_PROPERTY, MODULE_POSTDISABLE_PROPERTY, MODULE_POSTENABLE_PROPERTY, MODULE_REPLACE_PROPERTY, MODULE_SRC_PROPERTY, MODULE_URL_PROPERTY, MODULE_WINDOWS_PROPERTY`

### Fields inherited from interface net.shibboleth.idp.module.IdPModule

`IDPNEW_EXT_BASE, IDPSAVE_EXT`

## Constructor Summary

Constructors
Constructor
Description
`Core()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<Module.ModuleResource,Module.ResourceResult>`
`disable(ModuleContext moduleContext, boolean clean)`
`Map<Module.ModuleResource,Module.ResourceResult>`
`enable(ModuleContext moduleContext)`
`boolean`
`isEnabled(ModuleContext moduleContext)`

### Methods inherited from class net.shibboleth.idp.module.impl.CoreIdPModule

`load`

### Methods inherited from class net.shibboleth.idp.module.PropertyDrivenIdPModule

`getNewExtension, getSaveExtension`

### Methods inherited from class net.shibboleth.profile.module.PropertyDrivenModule

`getDescription, getId, getName, getOwnerId, getURL, isHttpClientRequired, setURL`

### Methods inherited from class net.shibboleth.profile.module.AbstractModule

`equals, getResources, hashCode, setResources, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.module.Module

`enable, getDescription, getName, getOwnerId, getResources, getURL, isHttpClientRequired`

## Field Details

### AUTO_CREATED

@Nonnull private static final String[] AUTO_CREATED
Auto-created folders.

## Constructor Details

### Core

public Core() throws IOException, ModuleException
Constructor.

Throws:
  `ModuleException` - on error
  `IOException` - on error

## Method Details

### isEnabled

public boolean isEnabled(@Nonnull ModuleContext moduleContext)

Specified by:
  `isEnabled` in interface `Module`
Overrides:
  `isEnabled` in class `AbstractModule`

### enable

@Nonnull public Map<Module.ModuleResource,Module.ResourceResult> enable(@Nonnull ModuleContext moduleContext) throws ModuleException

Specified by:
  `enable` in interface `Module`
Overrides:
  `enable` in class `PropertyDrivenModule`
Throws:
  `ModuleException`

### disable

@Nonnull public Map<Module.ModuleResource,Module.ResourceResult> disable(@Nonnull ModuleContext moduleContext, boolean clean) throws ModuleException

Specified by:
  `disable` in interface `Module`
Overrides:
  `disable` in class `PropertyDrivenModule`
Throws:
  `ModuleException`